PULSAR
API ReferenceReport Subscription

Subscriptions

Get the current subscriptions

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Query Parameters

lang?string

The language code for localized results.

Value in

  • "en"
  • "es"

Response Body

application/json

Try it live
GET
/subscriptions

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/subscriptions"
[  {    "id": "string",    "companyId": 0.1,    "userId": 0.1,    "name": "string",    "description": "string",    "lang": "en",    "recipients": [      {        "id": "string",        "personaId": "string",        "email": "string",        "name": "string"      }    ],    "frequency": {      "unit": "day",      "amount": 0.1,      "days": "string",      "time": "string",      "shifts": [        "string"      ],      "timezone": "string",      "since": "2019-08-24T14:15:22Z",      "until": "2019-08-24T14:15:22Z",      "description": "string"    },    "dashboards": [      {        "id": "string",        "order": 0.1,        "dashboardId": "string",        "filters": [          {            "id": "string",            "dashboardFilterId": "string",            "value": "string",            "name": "string",            "type": "string"          }        ],        "title": "string"      }    ],    "createdBy": {      "at": "2019-08-24T14:15:22Z",      "lastName": "string",      "firstName": "string",      "email": "string",      "id": 0.1    },    "updatedBy": {      "at": "2019-08-24T14:15:22Z",      "lastName": "string",      "firstName": "string",      "email": "string",      "id": 0.1    }  }]